
CoCoALib - Feature #795

Add new fn InvModNoCheck

05 Nov 2015 15:39 - John Abbott

Status: Closed Start date: 05 Nov 2015

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 0.60 hour

Target version: CoCoALib-0.99540 Feb 2016 Spent time: 0.59 hour

Description

For efficiency it would be nice to have public access to the "fast" function for computing inverses modulo an integer.

Related issues:

Related to CoCoALib - Design #649: Make SmallFpImpl safer to use Closed 11 Nov 2014

History

#1 - 05 Nov 2015 15:41 - John Abbott

- Status changed from New to Feedback

- % Done changed from 0 to 90

- Estimated time set to 0.60 h

Implemented, documented.  No separate test; it is effectively tested inside test-NumTheory1

#2 - 21 Mar 2016 16:57 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

No problems have arisen in the last 5 months; closing!
